"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTxEventHandler = void 0;
const handlers_interfaces_1 = require("./handlers.interfaces");
async function createTxEventHandler(ethersSigner, txHash, cb, skipSentEvent = false) {
    if (!ethersSigner.provider) {
        throw new Error('options.ethersSigner has not provider');
    }
    if (!skipSentEvent) {
        cb({ status: handlers_interfaces_1.ExtrinsicStatus.Sent, txHash });
    }
    const tx = await ethersSigner.provider.getTransactionReceipt(txHash);
    if (!tx) {
        setTimeout(() => createTxEventHandler(ethersSigner, txHash, cb, true), 2000);
        return;
    }
    if (tx.status === 1) {
        cb({
            status: handlers_interfaces_1.ExtrinsicStatus.Success,
            blockHash: tx.blockHash,
            txHash,
        });
    }
    else {
        cb({
            status: handlers_interfaces_1.ExtrinsicStatus.Failed,
            blockHash: tx.blockHash,
            txHash,
        });
    }
}
exports.createTxEventHandler = createTxEventHandler;
//# sourceMappingURL=createTxEventHandler.js.map