export declare type Hash = string;
export declare type ExtrinsicEventsCallback = (event: ExtrinsicEvent) => void;
export declare type ExtrinsicEvent = ExtrinsicFailedEvent | ExtrinsicSentEvent | ExtrinsicSuccessEvent;
export interface ExtrinsicFailedEvent {
    blockHash: Hash;
    message?: string;
    status: ExtrinsicStatus.Failed;
    txHash: Hash;
}
export interface ExtrinsicSentEvent {
    status: ExtrinsicStatus.Sent;
    txHash: Hash;
}
export interface ExtrinsicSuccessEvent {
    blockHash: Hash;
    status: ExtrinsicStatus.Success;
    txHash: Hash;
}
export declare enum ExtrinsicStatus {
    Failed = "Failed",
    Sent = "Sent",
    Success = "Success"
}
